#include <bits/stdc++.h>
using namespace std;

int main()
{
    int T; cin>>T;
    int T1=T;
    bool moze[T];
    while(T>0){
        int N; cin>>N;
        int M; cin>>M;
        int K; cin>>K;
        int prvaGrupa= N-(K-1);
        int ostalo = K-1;
        int i=1;
        int sum=0;
        while(prvaGrupa!=0){
            sum+= i;
            i++;
            prvaGrupa--;
        }
        int ostatak= M-sum;
        if((ostatak>(K-1)) && (sum < M)){
            moze[T]=true;
        }else{
            moze[T]=false;
        }
        T--;
    }
    
    for(int i=T1; i>0; i--){
        if(moze[i] == true){
            cout<<"Tak"<<endl;
        }else
            cout<<"Nie"<<endl;

    }
}